Mostly have Stardew Valley working. Needs a little more work on accessibility mods so commented for now.

This commit is contained in:
Storm Dragon 2023-08-03 15:31:48 -04:00
parent ccf305bd5f
commit be18927df3

View File

@ -483,6 +483,7 @@ gameList=(
"Slay the Text" "Slay the Text"
"SoundRTS" "SoundRTS"
"soundStrider" "soundStrider"
#"Stardew Valley"
"StickMUD" "StickMUD"
"System Fault" "System Fault"
"Trigaea" "Trigaea"
@ -697,6 +698,7 @@ case "${game}" in
add_launcher "${installPath}/S.E.A./SEA" add_launcher "${installPath}/S.E.A./SEA"
;; ;;
"Slay the Spire") "Slay the Spire")
check_architecture x86_64
echo "Please note this requires the game to be available either in your Steam library" echo "Please note this requires the game to be available either in your Steam library"
echo "or as the installer purchased from gog.com." echo "or as the installer purchased from gog.com."
echo "If using the gog.com installer, please use the default path when prompted." echo "If using the gog.com installer, please use the default path when prompted."
@ -712,7 +714,7 @@ case "${game}" in
find ~/Downloads -maxdepth 1 -type f -name 'slay_the_spire_2020_12_15_8735c9fe3cc2280b76aa3ec47c953352a7df1f65_43444.sh' -exec bash "{}" \; || find ~/Downloads -maxdepth 1 -type f -name 'slay_the_spire_2020_12_15_8735c9fe3cc2280b76aa3ec47c953352a7df1f65_43444.sh' -exec bash "{}" \; ||
find ~/Desktop -maxdepth 1 -type f -name 'slay_the_spire_2020_12_15_8735c9fe3cc2280b76aa3ec47c953352a7df1f65_43444.sh' -exec bash "{}" \; find ~/Desktop -maxdepth 1 -type f -name 'slay_the_spire_2020_12_15_8735c9fe3cc2280b76aa3ec47c953352a7df1f65_43444.sh' -exec bash "{}" \;
if [[ $? -eq 0 ]]; then if [[ $? -eq 0 ]]; then
ln -sf "${HOME}/GOG Games/Slay the Spire/game" "${HOME}/.local/games/SlayTheSpire" || ln -sf "${HOME}/GOG Games/Slay the Spire/game" "${installPath}/SlayTheSpire" ||
{ echo "Error creating link." { echo "Error creating link."
exit 1; } exit 1; }
else else
@ -780,6 +782,26 @@ case "${game}" in
unzip -d "${installPath}/soundStrider" "${cache}/soundStrider-linux-x64.zip" unzip -d "${installPath}/soundStrider" "${cache}/soundStrider-linux-x64.zip"
add_launcher "${installPath}/soundStrider/soundStrider" add_launcher "${installPath}/soundStrider/soundStrider"
;; ;;
"Stardew Valley")
check_architecture x86_64
DISPLAY=""
echo "Please select the default path when prompted by the installer."
alert
get_installer "stardew_valley_1_5_6_1988831614_53040.sh" "https://www.gog.com/game/stardew_valley"
bash "${cache}/stardew_valley_1_5_6_1988831614_53040.sh" ||
{ echo "Error installing game."
exit 1; }
smapiVersion="3.18.4"
download "https://github.com/Pathoschild/SMAPI/releases/download/${smapiVersion}/SMAPI-${smapiVersion}-installer.zip" "https://stormgames.wolfe.casa/downloads/stardew-valley/Mods.tar.xz"
smapiTmp="$(mktemp -d)"
unzip "${cache}/SMAPI-${smapiVersion}-installer.zip" -d "$smapiTmp"
echo "Preparing to install mods. Please select the same path as before when prompted."
alert
bash "${smapiTmp}/SMAPI ${smapiVersion} installer/install on Linux.sh"
ln -sf "${HOME}/GOG Games/Stardew Valley/game" "${installPath}/StardewValley"
tar -xvf "${cache}/Mods.tar.xz" -C "${installPath}/StardewValley/"
add_launcher "${installPath}/StardewValley/StardewValley"
;;
"StickMUD") "StickMUD")
check_dependencies git sox tt++ check_dependencies git sox tt++
git -C "${installPath}/" clone --recurse-submodules https://github.com/stormdragon2976/tintin-stickmud.git | \ git -C "${installPath}/" clone --recurse-submodules https://github.com/stormdragon2976/tintin-stickmud.git | \